/*
 * WItalk2 - italk client for Win32
 * Copyright (C) 1996-1997, TAGA Nayuta <nayuta@is.s.u-tokyo.ac.jp>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

///////////////////////////////////////////////////////////////////////////////
// DialogParanoia1.h

#pragma	once

#include "Dialog.h"
#include "lgDialog.h"


class DialogParanoia1 : public lgDialog
{
public:
	static int	paranoia1_showtip, paranoia1_debugechoback, paranoia1_showwa;
	static int	paranoia1_outputtolog, paranoia1_outputtoprivatelog, paranoia1_outputtopubliclog;
	static int	paranoia1_sslswitching;
	static int	paranoia1_xnop, paranoia1_xnop_interval;

private:
	ProfileManager* m_pProfileManager;
	/*lgRegistry registry;*/

	void set_all (void) {}

public:
	DialogParanoia1 (HWND _hwnd)	: lgDialog(_hwnd)/*, registry(REGISTRY_ROOT)*/
	{
	}

	// WM_INITDIALOG
	BOOL wmInitDialog (HWND /* focus */, LPARAM  lParam );

	// OK ͍XV
	BOOL wmNotify_psnApply (void);

	// WM_COMMAND
	BOOL wmCommand (int notify_code, int id, HWND /* hwnd_control */);

	// L
	BOOL wmCommand_common (int command);

};
