/*
 * LIBGANA - library for GANA
 * Copyright (C) 1996-1997, TAGA Nayuta <nayuta@is.s.u-tokyo.ac.jp>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

///////////////////////////////////////////////////////////////////////////////
// lgcAnimation.h


#pragma	once

#include	"lgWindows.h"


// lgcAnimation ̃EBhENX
#define		WC_lgcAnimation		"lgcAnimation"

#define		lgcAnimation_MESSAGE (WM_APP + 100)

// lgcAnimation ɃC[WXgZbg
#define		lgcAnimation_WPARAM_SETIMAGELIST	(1)
inline void lgcAnimation_SetImageList(HWND hwnd, HIMAGELIST himl)
{
	SendMessage(hwnd, lgcAnimation_MESSAGE, lgcAnimation_WPARAM_SETIMAGELIST, (LPARAM)himl);
}

// lgcAnimation n
#define lgcAnimation_WPARAM_START 2
inline void lgcAnimation_Start(HWND hwnd, int interval)
{
	SendMessage(hwnd, lgcAnimation_MESSAGE, lgcAnimation_WPARAM_START, (LPARAM)interval);
}

// Animation I
#define lgcAnimation_WPARAM_END 3
inline void lgcAnimation_End(HWND hwnd)
{
	SendMessage(hwnd, lgcAnimation_MESSAGE, lgcAnimation_WPARAM_END, 0);
}

// Animation ɘg
#define lgcAnimation_WPARAM_BORDER 4
inline void lgcAnimation_Border(HWND hwnd, BOOL has_border)
{
	SendMessage(hwnd, lgcAnimation_MESSAGE, lgcAnimation_WPARAM_BORDER, has_border);
}

// Animation EBhENXo^
ATOM Register_lgcAnimation(void);
