/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

///////////////////////////////////////////////////////////////////////////////
// Trace.cpp


#include	<winsock2.h>
#include <windows.h>
#include <stdio.h>
#include <stdarg.h>

#include "Trace.h"

using namespace aqx;

void CTrace::LTAt( const char* file, DWORD dwLine )
{
	char szBuffer[512];
	int nBuf;
	nBuf = _snprintf( szBuffer, sizeof(szBuffer), "%s(%d) : ", file, dwLine );
	if( nBuf < 0 ) {
		sprintf( szBuffer, "(too long file name)(%d) : ", dwLine );
	}
	OutputDebugStringA(szBuffer);
	
}
void CTrace::LTTrace(LPCSTR lpszFormat, ...)
{
	va_list args;
	va_start(args, lpszFormat);

	int nBuf;
	char szBuffer[512];

	nBuf = _vsnprintf(szBuffer, sizeof(szBuffer), lpszFormat, args);
	if(nBuf < 0){
		OutputDebugString("TraceFR:too long string\n");
	}else{
		OutputDebugStringA(szBuffer);
	}
	va_end(args);
}
