// Italk Protocol 1.0 and biff-port support modifications.
// Copyright (C) 1998, SAKAMOTO Takahiro <takas@is.s.u-tokyo.ac.jp>
// Copyright (C) 1998, KANEKO Wataru <wataruk@is.s.u-tokyo.ac.jp>

/*
 * WItalk2 - italk client for Win32
 * Copyright (C) 1996-1997, TAGA Nayuta <nayuta@is.s.u-tokyo.ac.jp>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

///////////////////////////////////////////////////////////////////////////////
// iWItalk2.h

#pragma	once

#include "lgWindows.h"
#include "lgRegistry.h"
#include "lgGUIParts.h"
#include "lgMenu.h"
#include "lgcSplitbar.h"
#include "lgcAnimation.h"

#include "rWItalk2.h"
#include "resource.h"

#include "ItalkConnection.h"
#include "ItalkView.h"
#include "ItalkInfo.h"

#define REGISTRY_ROOT HKEY_CURRENT_USER, lgWindows::LoadString(rStringRegistryRoot)
#define WM_DIALOGNOTIFY (WM_APP + 200)
